import axios from '@/libs/api.request'

/* 人脸登录 */
export const LoginByFace = (data = {}) => {
  return axios.request({
    url: '/api/Account/LoginByFace',
    data,
    method: 'post'
  })
}

/* 获取用户信息 */
export const getUserInfo = (data = {}) => {
  return axios.request({
    url: '/api/User/GetUserInfo',
    data,
    method: 'post'
  })
}

/* 更新人脸 */
export const UpdateFace = (data = {}) => {
  return axios.request({
    url: '/api/User/UpdateFace',
    data,
    method: 'post'
  })
}

/* 账户登录 */
export const Login = (data = {}) => {
  return axios.request({
    url: '/api/Account/Login',
    data,
    method: 'post'
  })
}

/* 退出 */
export const LoginQuit = (data = {}) => {
  return axios.request({
    url: '/api/User/LoginQuit',
    data,
    method: 'post'
  })
}

/* 通过人脸获取用户 */
export const FindByFace = (data = {}) => {
  return axios.request({
    url: '/api/User/FindByFace',
    data,
    method: 'post'
  })
}
